HWCTL(1)

NAME
hwctl - CLI tool to check hardware certification status

SYNOPSIS
hwctl

hwctl [-h | --help] [-V | --version] [--server URL]

DESCRIPTION
The hwctl utility checks the Ubuntu Hardware Certification status of your system.

hwctl verifies whether your exact machine model or a similar system has been certified and displays which Ubuntu releases the certification covers for it. For more information about the Ubuntu Hardware Certification Program, visit the certification website: https://ubuntu.com/certified.

Note that root privileges are typically required to run this command.

OPTIONS

-h, --help
    Print help information and exit.

-V, --version
    Print version information and exit.

--server URL
    Specify the API server URL. This overrides the default value and the HW_API_URL environment variable.

ENVIRONMENT
HW_API_URL
    Specifies the hardware-api server URL that hwctl uses for certification queries. The default value is https://hw.ubuntu.com.

SEE ALSO
dmidecode(8), lshw(1)

AUTHORS
Written by Nadzeya Hutsko <nadzeya.hutsko@canonical.com>.

BUGS
Only amd64 architecture is currently supported.

For information about open bugs, visit https://github.com/canonical/hardware-api/issues/.

COPYRIGHT
Copyright © 2024 Canonical Ltd.